RDCode: RDKit::MolChemicalFeatureFactory Class Reference

# RDKit::MolChemicalFeatureFactory Class Reference

The class for finding chemical features in molecules. More...

`#include <MolChemicalFeatureFactory.h>`

List of all members.

## Public Member Functions
int | getNumFeatureDefs () const
| returns the number of feature definitions
MolChemicalFeatureDef::CollectionType::iterator | beginFeatureDefs ()
| returns an iterator referring to the first feature definition
MolChemicalFeatureDef::CollectionType::iterator | endFeatureDefs ()
| returns an iterator referring to the end of the feature definitions
MolChemicalFeatureDef::CollectionType::const_iterator | beginFeatureDefs () const
| returns a const_iterator referring to the first feature definition
MolChemicalFeatureDef::CollectionType::const_iterator | endFeatureDefs () const
| returns a const_iterator referring to the end of the feature definitions
void | addFeatureDef (MolChemicalFeatureDef::CollectionType::value_type featDef)
| appends a feature definition to the collection of features defs.
FeatSPtrList | getFeaturesForMol (const ROMol &mol, const char *includeOnly="") const
| returns a list of features on the molecule

## Detailed Description

The class for finding chemical features in molecules.

Definition at line 20 of file MolChemicalFeatureFactory.h.

## Member Function Documentation

int RDKit::MolChemicalFeatureFactory::getNumFeatureDefs | ( |  | ) | const`[inline]`

returns the number of feature definitions

Definition at line 24 of file MolChemicalFeatureFactory.h.

MolChemicalFeatureDef::CollectionType::iterator RDKit::MolChemicalFeatureFactory::beginFeatureDefs | ( |  | ) | `[inline]`

returns an iterator referring to the first feature definition

Definition at line 28 of file MolChemicalFeatureFactory.h.

MolChemicalFeatureDef::CollectionType::iterator RDKit::MolChemicalFeatureFactory::endFeatureDefs | ( |  | ) | `[inline]`

returns an iterator referring to the end of the feature definitions

Definition at line 31 of file MolChemicalFeatureFactory.h.

MolChemicalFeatureDef::CollectionType::const_iterator RDKit::MolChemicalFeatureFactory::beginFeatureDefs | ( |  | ) | const`[inline]`

returns a const_iterator referring to the first feature definition

Definition at line 35 of file MolChemicalFeatureFactory.h.

MolChemicalFeatureDef::CollectionType::const_iterator RDKit::MolChemicalFeatureFactory::endFeatureDefs | ( |  | ) | const`[inline]`

returns a const_iterator referring to the end of the feature definitions

Definition at line 38 of file MolChemicalFeatureFactory.h.

void RDKit::MolChemicalFeatureFactory::addFeatureDef | ( | MolChemicalFeatureDef::CollectionType::value_type | featDef | ) | `[inline]`

appends a feature definition to the collection of features defs.

Definition at line 41 of file MolChemicalFeatureFactory.h.

FeatSPtrList RDKit::MolChemicalFeatureFactory::getFeaturesForMol | ( | const ROMol & | mol,
|  | const char * | includeOnly = `""` |
| ) |  |  | const

returns a list of features on the molecule

Parameters:

  | mol | The molecule of interest
  | includeOnly | (optional) if this is non-null, only features in this family will be returned

The documentation for this class was generated from the following file:

- MolChemicalFeatureFactory.h